招聘启事–香港/中国地区

职缺:Application Engineer
工作内容:香港及中国地区的Rhino技术支持,Rhino/Grasshopper教学,并协助业务团队开发相关业务。
联络人:Kenneth LAU
Forida Limited
Email:kenneth.lau@forida.com.hk
电话:+852 24153287

此条目发表在 招聘 分类目录,贴了 标签。将固定链接加入收藏夹。

招聘启事–香港/中国地区》有 1 条评论

  1. 貌似很难........我行吗? 说:

    我做鞋模3D已10年,你看会写这个的行吗?

    Sub keepoutsole()
    Const rhObjectCurve =4
    arrObject1 = Rhino.GetObjects(“give surf u direct”,rhObjectCurve )
    If IsArray(arrObject1) Then
    arrObject2 = Rhino.GetObjects(“give surf v direct”,rhObjectCurve )
    If IsArray(arrObject2) Then
    Rhino.SelectObjects arrObject1
    Rhino.SelectObjects arrObject2
    Rhino.command “_Sweep2 ”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    surfacemodify=bb
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObjects arrObject1
    Rhino.SelectObjects arrObject2
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    End If
    ‘now modifysuface created’
    arrpointo=Array(0,0,0)
    arrpointx=Array(10,0,0)
    arrpointy=Array(0,10,0)
    arrpoint1=Array(0,0,200)
    arrpoint2=Array(0,0,-200)
    ‘now ucs bak created’
    strObject3 = Rhino.GetObject(“give outsole control”,rhObjectCurve )
    Rhino.ObjectName strObject3, “outsole”
    If Not IsNull(strObject3) Then
    strObject4 = Rhino.GetObject(“give basic section”,rhObjectCurve )
    Rhino.ObjectName strObject4, “basicl”
    If Not IsNull(strObject4) Then
    Rhino.command “_ArrayCrv _SelName basicl _enter _SelName outsole _enter ”
    arrObjectm= Rhino.LastCreatedObjects
    Rhino.UnselectAllObjects
    Rhino.SelectObjects arrObjectm
    Rhino.SelectObject strObject4
    arrObject5=Rhino.SelectedObjects
    End If
    End If
    ‘now arrayline created’
    If Not IsNull(strObject3) Then
    strObject6=Rhino.CopyObject (strObject3, arrpointO, arrpoint1)
    strObject7=Rhino.CopyObject (strObject3, arrpointO, arrpoint2)
    Rhino.UnselectAllObjects
    Rhino.SelectObject strObject6
    Rhino.SelectObject strObject7
    Rhino.command “_Loft _enter _enter _enter ”
    Rhino.EnableRedraw vbFalse
    Rhino.UnselectAllObjects
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    surfaceoutsole=bb
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObject strObject3
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    ‘now surfaceoutsole created’
    If IsArray(arrObject5) Then
    i=0
    For Each strobject In arrObject5
    strobjectkk=Rhino.CopyObject(strobject)
    arrpointo1=Rhino.CurveStartPoint(strobject)
    arrpointx1=Rhino.CurveEndPoint(strobject)
    strlinox=Rhino.Addline(arrpointo1,arrpointx1)

    strlinoy=Rhino.RotateObject (strlinox, arrpointo1, 90.0, ,True)
    If Not IsNull(strlinoy) Then
    arrpointy1=Rhino.CurveEndPoint(strlinoy)
    arrOrigin=arrpointo1
    arrXaxis=Rhino.VectorCreate(arrpointo1, arrpointx1)
    arrYaxis=Rhino.VectorCreate(arrpointo1, arrpointy1)
    Rhino.ViewCPlane , Rhino.PlaneFromFrame(arrOrigin, arrXaxis, arrYaxis)
    Rhino.command” _Point 0,0,0 ”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    arrpointsOrigin=bb
    End If
    Next
    End If
    ‘now UCS AND ORIGIN created’
    If Not IsNull(aa) Then
    Rhino.UnselectAllObjects
    arrObject8=Rhino.CopyObject (strobject, arrpointO, arrpoint1)
    arrObject9=Rhino.CopyObject (strobject, arrpointO, arrpoint2)
    arrObject10=Array(arrObject8,arrObject9)
    surface= Rhino.AddEdgeSrf( arrObject10)
    Rhino.SelectObject surface
    Rhino.SelectObject surfaceoutsole
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    arrObject11=bb
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObject surface
    Rhino.SelectObject surfacemodify
    Rhino.command “Intersect”
    arrObject12= Rhino.LastCreatedObjects
    Rhino.UnselectAllObjects
    End If
    ‘now OUTSOLELINE AND SECTIONCURVE created!’
    If IsArray(arrObject12) Then
    i=0
    For Each arrObjectT In arrObject12
    i=i+1
    If i=1 Then
    STRObject12=arrObjectT
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject12
    Rhino.command “_BoundingBox _A ”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    STRBoundingBox=bb
    End If
    Next

    ‘now BoundingBox created!’
    If Not IsNull(STRBoundingBox) Then
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRBoundingBox
    Rhino.SelectObject STRObject12
    Rhino.command “Intersect”
    PTS= Rhino.LastCreatedObjects
    End If
    ‘now PTS created!WE WILL SEE CENTER COMPAER’
    If IsArray(PTS) Then
    n=0
    For Each pt In pts
    n=n+1
    Next
    End If
    If n=2 Then
    ‘now if n=2’

    arrpointmidstr=Rhino.AddPoint (Rhino.CurveMidPoint(strobjectkk))
    arrpointmid=Rhino.PointCoordinates(arrpointmidstr)
    i=0
    For Each pt In pts
    i=i+1
    If i=1 Then
    Rhino.DeleteObject PT
    pt13=Rhino.CurveEndPoint(STRObject12)
    PT13K=Rhino.AddPoint(pt13)
    strObject13=Rhino.copyObject (strobjectkk, arrpointmid, pt13)
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject13
    Rhino.SelectObject arrObject11
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    STRpoint13=bb
    End If
    Next
    STRpoint13c=Rhino.PointCoordinates(STRpoint13)
    dblDistance13 = Rhino.Distance(pt13, STRpoint13c)
    End If
    If i=2 Then
    Rhino.DeleteObject PT
    pt14= Rhino.CurveStartPoint(STRObject12)
    PT14K=Rhino.AddPoint(pt14)
    strObject14=Rhino.copyObject (strobjectkk, arrpointmid, pt14)
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject14
    Rhino.command “select pause NoEcho -properties o c o 0,255,255 enter enter selnone Echo”
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject14
    Rhino.SelectObject arrObject11
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    STRpoint14=bb
    End If
    Next
    STRpoint14c=Rhino.PointCoordinates(STRpoint14)
    dblDistance14 = Rhino.Distance(pt14, STRpoint14c)
    End If
    Next
    If (IsNumeric(dblDistance14)) And (IsNumeric(dblDistance13)) Then
    If dblDistance140.01 Then
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject12
    Rhino.SelectObject strpointoutsoles
    Rhino.SelectObject stroutsoleline
    Rhino.command” _-Sweep1 _E 8 _ENTER ”
    arrsurf= Rhino.LastCreatedObjects
    Rhino.UnselectAllObjects
    If Not IsNull(arrsurf) Then
    Rhino.SelectObjects arrsurf
    Rhino.command” _DupBorder”
    Rhino.command” _Explode”
    arrbordline= Rhino.LastCreatedObjects
    If IsArray(arrbordline) Then
    Rhino.UnselectAllObjects
    arrpointcx= Rhino.CurveMidPoint(STRObject12)
    Rhino.AddTextDot “STRObject12”, arrpointcx
    arrpointex= Rhino.CurveMidPoint(stroutsoleline)
    Rhino.AddTextDot “stroutsoleline”, arrpointex
    i=0
    For Each ll In arrbordline
    arrpointdx= Rhino.CurveMidPoint(ll)
    Rhino.AddTextDot CStr(i), arrpointdx
    dbldistcx= Rhino.Distance(arrPointcx, arrPointdx)
    dbldistex= Rhino.Distance(arrPointex, arrPointdx)
    If (dbldistcx>0.001)And(dbldistex>0.001) Then
    stroutsolecurv=ll
    Rhino.UnselectAllObjects
    Rhino.SelectObject stroutsolecurv
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    i=i+1
    Next
    End If
    End If
    Else
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject12
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    End If
    ‘now if n=2 ok !!! too carzy’
    ElseIf n=3 Then
    i=0
    For Each pt In pts
    i=i+1
    If i=1 Then
    pt1=Rhino.PointCoordinates(pt)
    End If
    If i=2 Then
    pt2=Rhino.PointCoordinates(pt)
    End If
    If i=3 Then
    pt3=Rhino.PointCoordinates(pt)
    End If
    Next
    arrpointmidstr=Rhino.AddPoint (Rhino.CurveMidPoint(strobjectkk))
    arrpointmid=Rhino.PointCoordinates(arrpointmidstr)
    strline1=Rhino.copyobject(strobjectkk, arrpointmid, pt1)
    strline2=Rhino.copyobject(strobjectkk, arrpointmid, pt2)
    strline3=Rhino.copyobject(strobjectkk, arrpointmid, pt3)
    Rhino.UnselectAllObjects
    Rhino.SelectObject arrObject11
    Rhino.SelectObject strline1
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    pt11=Rhino.PointCoordinates(bb)
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObject arrObject11
    Rhino.SelectObject strline2
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    pt22=Rhino.PointCoordinates(bb)
    End If
    Next
    Rhino.UnselectAllObjects
    Rhino.SelectObject arrObject11
    Rhino.SelectObject strline3
    Rhino.command “Intersect”
    aa= Rhino.LastCreatedObjects
    i=0
    For Each bb In aa
    i=i+1
    If i=1 Then
    pt33=Rhino.PointCoordinates(bb)
    End If
    Next
    K1=Rhino.CurveLength(Rhino.addline(pt1, pt11))
    k2=Rhino.CurveLength(Rhino.addline(pt2, pt22))
    k3=Rhino.CurveLength(Rhino.addline(pt3, pt33))
    F1= Rhino.Distance(pt1, Rhino.CurveStartPoint(STRObject12))
    F2= Rhino.Distance(pt2, Rhino.CurveStartPoint(STRObject12))
    F3= Rhino.Distance(pt3, Rhino.CurveStartPoint(STRObject12))
    F11=Rhino.Distance(pt1, Rhino.CurveEndPoint(STRObject12))
    F22=Rhino.Distance(pt2, Rhino.CurveEndPoint(STRObject12))
    F33=Rhino.Distance(pt3, Rhino.CurveEndPoint(STRObject12))
    If (k1>0.01)And(k2>0.01)And(k3>0.01) Then
    If (F1>0.1)And(F11>0.1) Then
    outsoleline=Rhino.addline(pt1,pt11)
    Rhino.AddTextDot “?1”, pt1
    ElseIf (F2>0.1)And(F22>0.1) Then
    outsoleline=Rhino.addline(pt2,pt22)
    Rhino.AddTextDot “?2”, pt2
    ElseIf (F3>0.1)And(F33>0.1) Then
    outsoleline=Rhino.addline(pt3,pt33)
    Rhino.AddTextDot “?3″, pt3
    End If
    outsoleps=Rhino.addpoint(Rhino.CurveStartPoint(STRObject12))
    outsolepb=Rhino.addline(Rhino.CurveStartPoint(STRObject12),Rhino.CurveEndPoint(STRObject12))
    outsolepe=Rhino.addpoint(Rhino.CurveEndPoint(STRObject12))
    Rhino.UnselectAllObjects
    Rhino.SelectObject outsolepb
    Rhino.SelectObject STRObject12
    Rhino.SelectObject outsoleps
    Rhino.SelectObject outsoleline
    Rhino.SelectObject outsolepe
    Rhino.command” _-Sweep2 _ENTER ”
    arrsurf= Rhino.LastCreatedObjects
    Rhino.UnselectAllObjects
    If Not IsNull(arrsurf) Then
    Rhino.SelectObjects arrsurf
    Rhino.command” _DupBorder”
    Rhino.command” _Explode”
    arrbordline= Rhino.LastCreatedObjects
    If IsArray(arrbordline) Then
    Rhino.UnselectAllObjects
    arrpointcx= Rhino.CurveMidPoint(STRObject12)
    Rhino.AddTextDot “STRObject12”, arrpointcx
    arrpointex= Rhino.CurveMidPoint(outsoleline)
    Rhino.AddTextDot “outsoleline”, arrpointex
    i=0
    For Each ll In arrbordline
    arrpointdx= Rhino.CurveMidPoint(ll)
    Rhino.AddTextDot CStr(i), arrpointdx
    dbldistcx= Rhino.Distance(arrPointcx, arrPointdx)
    dbldistex= Rhino.Distance(arrPointex, arrPointdx)
    If (dbldistcx>0.001)And(dbldistex>0.001) Then
    stroutsolecurv=ll
    Rhino.UnselectAllObjects
    Rhino.SelectObject stroutsolecurv
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    i=i+1
    Next
    End If
    End If
    Else
    Rhino.UnselectAllObjects
    Rhino.SelectObject STRObject12
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    End If
    End If
    i=i+1
    Else
    i=i+1
    End If
    Next
    ‘now if n=3 ok !!! too carzy’
    arrOrigin=arrpointo
    arrXaxis=Rhino.VectorCreate(arrpointx, arrpointo)
    arrYaxis=Rhino.VectorCreate(arrpointy, arrpointo)
    Rhino.ViewCPlane , Rhino.PlaneFromFrame(arrOrigin, arrXaxis, arrYaxis)
    ‘now ucs reset’
    If Not IsNull(arrOrigin) Then
    Rhino.UnselectAllObjects
    Rhino.SelectObject strObject4
    Rhino.command” _Lock _enter ”
    Rhino.UnselectAllObjects
    Rhino.command”_SelAll _delete _enter ”
    Rhino.command” _Unlock ”
    Rhino.SelectObject strObject4
    Rhino.SelectObjects arrObject2
    Rhino.command”_lock ”
    Rhino.command”_SelAll ”
    Rhino.UnselectObjects arrObject1
    Rhino.UnselectObject strObject3
    newsec=Rhino.SelectedObjects
    Rhino.UnselectAllObjects
    Rhino.SelectObjects arrObject1
    Rhino.SelectObjects newsec
    Rhino.EnableRedraw vbTrue
    Rhino.command “_Sweep2 ”
    Rhino.UnselectAllObjects
    Rhino.SelectObjects arrObject1
    Rhino.SelectObject strObject3
    Rhino.command”_lock ”
    End If
    End If
    End Sub
    keepoutsole
    我看行*.*

发表评论

电子邮件地址不会被公开。 必填项已用*标注

*

This site uses Akismet to reduce spam. Learn how your comment data is processed.